/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:strpbrk.c 12.0$ */
/* $ACIS:strpbrk.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.bin/uucp/RCS/strpbrk.c,v $ */

#ifndef lint
static char *rcsid = "$Header:strpbrk.c 12.0$";
#endif

#ifndef lint
static char sccsid[] = "@(#)strpbrk.c	5.1 (Berkeley) 6/23/85";
#endif

/*LINTLIBRARY*/

/*
 * this is like index, but takes a string as the second argument
 */
char *
strpbrk(str, chars)
register char *str, *chars;
{
	register char *cp;

	do {
		cp = chars - 1;
		while (*++cp) {
			if (*str == *cp)
				return str;
		}
	} while (*str++);
	return (char *)0;
}
